> For the complete documentation index, see [llms.txt](https://docs.konsortech.xyz/node/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.konsortech.xyz/node/testnet/sui-guide/docker.md).

# docker

## Sui Node Setup

#### Sui Node Requirements

> :black\_square\_button: OS Ubuntu 18.04 or 20.04\
> :black\_square\_button: 2 CPUs\
> :black\_square\_button: 8GB RAM\
> :black\_square\_button: 50GB Storage\
> :black\_square\_button: Port 9000, 9184\
> :black\_square\_button: Need Super user or root for run this script.<br>

### Official Site:

* Official web site : <https://sui.io/>
* Run a Sui Fullnode : <https://github.com/MystenLabs/sui/blob/main/doc/src/build/fullnode.md>
* Node health monitor : <https://node.sui.zvalid.com/>

## Set up Sui full node with auto script.

### 1. Switch to root user

```
sudo su
```

### 2. Clone and Install Scripts

```
wget -q -O sui_setup.sh https://raw.githubusercontent.com/Contribution-DAO/sui-node-setup/main/docker/sui_docker.sh && chmod +x sui_setup.sh && sudo /bin/bash sui_setup.sh
```

### 3. Check Node Status

```
curl -s -X POST http://127.0.0.1:9000 -H 'Content-Type: application/json' -d '{ "jsonrpc":"2.0", "method":"rpc.discover","id":1}' | jq .result.info
```

Send a request, the result should be something like this:

```json
{
  "title": "Sui JSON-RPC",
  "description": "Sui JSON-RPC API for interaction with the Sui network gateway.",
  "contact": {
    "name": "Mysten Labs",
    "url": "https://mystenlabs.com",
    "email": "build@mystenlabs.com"
  },
  "license": {
    "name": "Apache-2.0",
    "url": "https://raw.githubusercontent.com/MystenLabs/sui/main/LICENSE"
  },
  "version": "0.1.0"
}
```

### 4. Monitor your node health status

1. Go to <https://node.sui.zvalid.com/>
2. Insert your node ip

Click connect, the result should be something like this: ![image](https://user-images.githubusercontent.com/83507970/178087112-e547a097-83ca-4ea7-aa35-82567a944b86.png)

### 5. Register your node on discord

After fisnish install Sui node, You have register your node in the [Sui Discord](https://discord.gg/kqfQbYjUGq):

1. Go to Channel `#📋node-ip-application`
2. Post your node `http://<YOUR_NODE_IP>:9000/` in Channel. ![image](https://user-images.githubusercontent.com/83507970/178087432-d8449b38-1f6a-4510-a31e-a85ea61b37e1.png)

### 6. Update sui node.

```
wget -q -O sui_update.sh https://raw.githubusercontent.com/Contribution-DAO/sui-node-setup/main/docker/update.sh && chmod +x sui_update.sh && sudo /bin/bash sui_update.sh
```

### Optional Command

Check sui node log

`docker logs -f sui-fullnode-1 --tail 50`

Restart sui node

`docker-compose restart`

Stop sui node

`docker-compose stop`

Start sui node

`docker-compose start`

Check sui node process

`docker ps -a`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.konsortech.xyz/node/testnet/sui-guide/docker.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
